# std::atomic_ref<T>::operator=

From cppreference.com
< cpp‎ | atomic‎ | atomic ref

T operator=( T desired ) const noexcept; | (1) |
atomic_ref& operator=( const atomic_ref& ) = delete; | (2) |

1) Atomically assigns a value `desired` to the referenced object. Equivalent to store(desired).
2) `atomic_ref` is not CopyAssignable.

### Parameters

desired | - | value to assign

### Return value

`desired`.

### Notes

Unlike most assignment operators, the assignment operator for `atomic_ref` does not return a reference to its left-hand argument. It returns a copy of the stored value instead.

### See also

(constructor) | constructs an `atomic_ref` object (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/atomic/atomic_ref/operator%3D&oldid=104214"